import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceJahadGetDistributionInfoService = createAsyncThunk(
  "PROVINCE_JAHAD_GET_DISTRIBUTION_INFO",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `LiveStock/jahad/dashboard-live-stock-allocation/`,
      {
        params: d,
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const provinceJahadGetInventoryDataService = createAsyncThunk(
  "PROVINCE_JAHAD_GET_INVENTORY_INFO",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `LiveStock/jahad/live-stock-role-products/`,
      {
        params: d,
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
